package org.example.models.trading;

import simudyne.core.annotations.Variable;

public class MomentumTrader extends BaseTrader{

    public double beta;

    public double gamma;

    private double momentum;

    @Override
    public void handleMarketInformation(Messages.MarketChange msg) {momentum = msg.momentum;
    }


    @Override
    public Side getSide() {return momentum > 0 ? Side.BUY : Side.SELL;
    }


    @Override
    public double getDemand() {return beta * Math.tanh(gamma * Math.abs(momentum));
    }
}
