package org.example.models.trading;

public class FundamentalTrader extends BaseTrader{
    /**
     * The base trader class incorporates general methods that all traders will use (e.g. submitOrder) as well as
     * abstract methods that will be implemented specifically for each trader class (e.g. get demand)
     */
    public double kappa;

    public double kappa_3;

    private double priceDistortion;


    @Override
    public void handleMarketInformation(Messages.MarketChange msg) {priceDistortion = getGlobals().v - msg.price;
    }


    @Override
    public Side getSide() {return priceDistortion > 0 ? Side.BUY : Side.SELL;
    }


    @Override
    public double getDemand() {return (Math.abs(priceDistortion) * kappa) + (Math.pow(Math.abs(priceDistortion), 3) * kappa_3) ;
    }
}